Duplicate product step
curl --request POST \
--url https://app.zenedu.io/api/v1/bot/{bot}/products/{product}/steps/{step}/duplicate \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"into_product_id": 123
}
'import requests
url = "https://app.zenedu.io/api/v1/bot/{bot}/products/{product}/steps/{step}/duplicate"
payload = { "into_product_id": 123 }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({into_product_id: 123})
};
fetch('https://app.zenedu.io/api/v1/bot/{bot}/products/{product}/steps/{step}/duplicate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.zenedu.io/api/v1/bot/{bot}/products/{product}/steps/{step}/duplicate",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'into_product_id' => 123
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.zenedu.io/api/v1/bot/{bot}/products/{product}/steps/{step}/duplicate"
payload := strings.NewReader("{\n \"into_product_id\": 123\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://app.zenedu.io/api/v1/bot/{bot}/products/{product}/steps/{step}/duplicate")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"into_product_id\": 123\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.zenedu.io/api/v1/bot/{bot}/products/{product}/steps/{step}/duplicate")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"into_product_id\": 123\n}"
response = http.request(request)
puts response.read_body{
"data": {
"id": 123,
"product_id": 123,
"section_id": 123,
"type": "message",
"name": "<string>",
"text": "<string>",
"active": true,
"sort": 123,
"link_preview": true,
"task_autocheck": true,
"custom_field_id": 123,
"sending_time": {
"option": "immediately",
"delay_number": 123,
"delay_type": "seconds",
"delay_at": "2023-11-07T05:31:56Z",
"skip_past_date": true,
"delay_time": "2023-11-07T05:31:56Z",
"delay_limit": {
"time_from": 719,
"time_to": 719,
"weekdays": [
"mon"
]
}
},
"menu_time": {
"type": "immediately",
"delay_number": 123,
"delay_type": "seconds",
"delay_at": "2023-11-07T05:31:56Z",
"delay_time": "2023-11-07T05:31:56Z"
},
"settings": {
"attach_file": true,
"has_spoiler": true,
"attach_style": "<string>",
"autodelete": 123,
"protect_content": true,
"save_profile": true,
"subtype": "<string>",
"question_error_message": "<string>",
"quiz_explanation": "<string>"
},
"cover_url": "<string>",
"attachments": [
{
"id": 123,
"type": "<string>",
"name": "<string>"
}
],
"buttons": [
{
"id": 123,
"type": "link",
"name": "<string>",
"link": "<string>",
"offer_id": 123,
"actions": [
{}
],
"settings": {},
"sort": 123
}
],
"options": [
{
"id": 123,
"text": "<string>",
"is_correct": true
}
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}{
"message": "<string>",
"errors": {}
}{
"message": "<string>",
"errors": {}
}{
"message": "<string>",
"errors": {}
}{
"message": "<string>",
"errors": {}
}Шаги
Дублировать шаг продукта
Дублирует шаг в том же продукте или в другой.
POST
/
api
/
v1
/
bot
/
{bot}
/
products
/
{product}
/
steps
/
{step}
/
duplicate
Duplicate product step
curl --request POST \
--url https://app.zenedu.io/api/v1/bot/{bot}/products/{product}/steps/{step}/duplicate \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"into_product_id": 123
}
'import requests
url = "https://app.zenedu.io/api/v1/bot/{bot}/products/{product}/steps/{step}/duplicate"
payload = { "into_product_id": 123 }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({into_product_id: 123})
};
fetch('https://app.zenedu.io/api/v1/bot/{bot}/products/{product}/steps/{step}/duplicate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.zenedu.io/api/v1/bot/{bot}/products/{product}/steps/{step}/duplicate",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'into_product_id' => 123
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.zenedu.io/api/v1/bot/{bot}/products/{product}/steps/{step}/duplicate"
payload := strings.NewReader("{\n \"into_product_id\": 123\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://app.zenedu.io/api/v1/bot/{bot}/products/{product}/steps/{step}/duplicate")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"into_product_id\": 123\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.zenedu.io/api/v1/bot/{bot}/products/{product}/steps/{step}/duplicate")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"into_product_id\": 123\n}"
response = http.request(request)
puts response.read_body{
"data": {
"id": 123,
"product_id": 123,
"section_id": 123,
"type": "message",
"name": "<string>",
"text": "<string>",
"active": true,
"sort": 123,
"link_preview": true,
"task_autocheck": true,
"custom_field_id": 123,
"sending_time": {
"option": "immediately",
"delay_number": 123,
"delay_type": "seconds",
"delay_at": "2023-11-07T05:31:56Z",
"skip_past_date": true,
"delay_time": "2023-11-07T05:31:56Z",
"delay_limit": {
"time_from": 719,
"time_to": 719,
"weekdays": [
"mon"
]
}
},
"menu_time": {
"type": "immediately",
"delay_number": 123,
"delay_type": "seconds",
"delay_at": "2023-11-07T05:31:56Z",
"delay_time": "2023-11-07T05:31:56Z"
},
"settings": {
"attach_file": true,
"has_spoiler": true,
"attach_style": "<string>",
"autodelete": 123,
"protect_content": true,
"save_profile": true,
"subtype": "<string>",
"question_error_message": "<string>",
"quiz_explanation": "<string>"
},
"cover_url": "<string>",
"attachments": [
{
"id": 123,
"type": "<string>",
"name": "<string>"
}
],
"buttons": [
{
"id": 123,
"type": "link",
"name": "<string>",
"link": "<string>",
"offer_id": 123,
"actions": [
{}
],
"settings": {},
"sort": 123
}
],
"options": [
{
"id": 123,
"text": "<string>",
"is_correct": true
}
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}{
"message": "<string>",
"errors": {}
}{
"message": "<string>",
"errors": {}
}{
"message": "<string>",
"errors": {}
}{
"message": "<string>",
"errors": {}
}Авторизации
API token from the Zenedu dashboard
Параметры пути
Bot ID
Product ID
Step ID
Тело
application/json
Target product ID. Defaults to the current product
Ответ
Duplicated step
Show child attributes
Show child attributes